Bug 241087 - lost interrupts on IDE with 2.6.20-1.2948.fc6
lost interrupts on IDE with 2.6.20-1.2948.fc6
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-05-23 19:26 EDT by Mike Iglesias
Modified: 2008-05-06 15:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.6.20-1.2962.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:37:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Iglesias 2007-05-23 19:26:30 EDT
Description of problem:

I updated a running FC6 install to the latest kernel, 2.6.20-1.2948.fc6
yesteday.  Today the system is pausing every few minutes and /var/log/messages
has complaints about lost interrupts on the hard drive and DVD drive.  This did
not happen on 2.6.18-1.2869.fc6.

Version-Release number of selected component (if applicable):


How reproducible:

Use the system?  I have no idea how to provoke this.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

At first, I started getting these in /var/log/messages when the system would pause:

May 23 11:18:26 draco kernel: ide-cd: cmd 0x1e timed out
May 23 11:18:26 draco kernel: hdb: lost interrupt

Those went away when I put a mountable CD in the drive.

Now I am getting these:

May 23 16:07:05 draco kernel: hda: dma_timer_expiry: dma status == 0x64
May 23 16:07:15 draco kernel: hda: DMA interrupt recovery
May 23 16:07:15 draco kernel: hda: lost interrupt

and occasionally this:

May 23 15:20:36 draco kernel: hdb: lost interrupt

Since this is my desktop system it is very frustrating to say the least.  The
system pauses for about a minute each time.
Comment 1 Chuck Ebbert 2007-06-22 17:53:58 EDT
Do these messages stop if you stop the hal service:

   service haldaemon stop

Comment 2 Mike Iglesias 2007-07-05 11:40:23 EDT
I updated my system to 2.6.20-1.2962.fc6 this morning.  So far, no lost
interrupts.  I'll post another comment if the lost interrupts return.
Comment 3 Chuck Ebbert 2007-07-05 12:26:31 EDT
Reopen the bug if problem returns.
Comment 4 Mike Iglesias 2007-07-05 13:05:22 EDT
The problem returned when I put a mountable CD in the DVD/CD drive.

Messages from /var/log/messages:

Jul  5 09:32:27 draco kernel: hdb: lost interrupt
Jul  5 09:33:27 draco kernel: hdb: lost interrupt
Jul  5 09:33:30 draco hald: mounted /dev/hdb on behalf of uid 1002
Jul  5 09:34:51 draco kernel: ide-cd: cmd 0x28 timed out
Jul  5 09:34:51 draco kernel: hdb: DMA interrupt recovery
Jul  5 09:34:51 draco kernel: hdb: lost interrupt

The first three happened when the system was trying to mount the CD, the last
three when I did an ls of the CD.

Info from dmesg on the DVD drive

hdb: ATAPI 48X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache<6>hdb: hw_config=41
01, UDMA(66)

When I tried the same CD again, and another mountable CD, no lost interrupts
were generated.

The drive works fine on kernel 2.6.18-1.2869.fc6.

The motherboard is a MSI K8T Master2 with 2 Opteron CPUs.  It was first
installed with FC3 using the i386/i686 install (due to compatibility issues) and
has been upgraded since then to FC4, FC5, and FC6 (in Dec 2006).  The LITE-ON
drive was installed in Feb 2007.

If you need any more information please let me know.

Comment 5 Mike Iglesias 2007-07-05 19:05:09 EDT
There have been a couple more lost interrupts on the DVD drive (both while I was
out of the office).  I have stopped the haldaemon to see if that makes the
messages go away.
Comment 6 Mike Iglesias 2007-07-09 11:05:49 EDT
There have been no more lost interrupt messages or system pauses that I noticed
since I stopped haldaemon.
Comment 7 Mike Iglesias 2008-01-10 01:12:27 EST
This problem is still present in Fedora 8, although it's causing the hard drive
to be write-protected, presumably because it's getting "journal commit i/o
errors" instead of causing the system to pause.  Turning off haldaemon fixes
this, but pulseaudio needs haldaemon to do sound.  What does hald do that would
cause this?
Comment 8 Chuck Ebbert 2008-01-10 15:38:35 EST
hald polls the drive. You can use the "hal-disable-polling" command to disable
that while leaving the rest of HAL running.
Comment 9 Bug Zapper 2008-04-04 03:16:55 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 15:37:06 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.